Page MenuHomePhabricator

Zotero OOM
Closed, ResolvedPublic

Description

Zotero just crashed after running out of memory.

Notes from IRC:

[14:08] <akosiaris> I think that's the first one zotero(3)(+0000000): HTTP POST noDoi=yesDoi&doi=10.2307%2F2458932 to http://www.jstor.org/action/downloadSingleCitationSec?userAction=export
[14:08] <akosiaris> &format=refman&direct=true&singleCitation=true
[14:08] <akosiaris> that got an out of memory error
[14:08] <akosiaris> well, maybe that one http://www.jstor.org/stable/2458932
[14:08] <akosiaris> not sure with zotero logging
[14:09] <akosiaris> seems like it was submitted multiple times
[14:09] <akosiaris> right before the out of memory error

Event Timeline

GWicke assigned this task to Mvolz.
GWicke raised the priority of this task from to Medium.
GWicke updated the task description. (Show Details)
GWicke added a project: Citoid.
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2015, 10:15 PM
GWicke set Security to None.Dec 19 2015, 10:15 PM
GWicke edited subscribers, added: akosiaris; removed: Aklapper.
Mvolz moved this task from Backlog to Production on the Citoid board.Dec 20 2015, 9:53 PM
Mvolz changed the task status from Open to Stalled.Aug 8 2016, 4:31 PM
Mvolz removed Mvolz as the assignee of this task.
Mvolz added a subscriber: Mvolz.
Restricted Application added a project: VisualEditor. · View Herald TranscriptAug 8 2016, 4:31 PM
Deskana closed this task as Invalid.Dec 13 2017, 12:32 PM
Deskana added a subscriber: Deskana.

Whatever caused this problem two years ago has likely been fixed now.

akosiaris reopened this task as Open.Dec 13 2017, 1:54 PM

Nope. All that has happened is that the infrastructure has now some safeguards to protect itself from it in 2617d4f0a71 and subsequently 57cd2eb7076. The other thing that has happened is that zotero, being unmaintained, can not use jessie but rather requires trusty and as a result lives in it's own infrastructure, minimizing ill effects to other services due to memory leaks. So it's mitigated but definitely not fixed.

Mvolz added a comment.Dec 13 2017, 2:13 PM

Well, also, we haven't updated it in two years. See: T140539

So it might be fixed by now... but if it is we're not running it :).

Change 483703 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/services/zotero@master] Update Zotero; fix OOM issues

https://gerrit.wikimedia.org/r/483703

Change 483703 merged by jenkins-bot:
[mediawiki/services/zotero@master] Update Zotero; potentially fixes OOM issues

https://gerrit.wikimedia.org/r/483703

Mvolz closed this task as Resolved.Jan 25 2019, 11:35 AM
Mvolz removed a project: Patch-For-Review.

Redeploy on the 17th seems to have gotten rid of the big peaks:

https://grafana.wikimedia.org/d/000000620/xxxx-zotero-debugging-kubernetes?orgId=1&from=now-30d&to=now

These were being caused by the fact that Zotero was loading large pdfs into memory. It now ignores these file types.